Bug 1882025 - [Incremental Backup] In Ovirt 4.4.1 checkpoint is not created
Summary: [Incremental Backup] In Ovirt 4.4.1 checkpoint is not created
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine-sdk-python
Classification: oVirt
Component: General
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Eyal Shenitzky
QA Contact: Avihai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-23 15:49 UTC by francisco.garcia
Modified: 2020-10-17 19:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-11 11:11:29 UTC
oVirt Team: Storage


Attachments (Terms of Use)
DCversion (17.94 KB, image/png)
2020-10-11 10:21 UTC, francisco.garcia
no flags Details

Description francisco.garcia 2020-09-23 15:49:35 UTC
Description of problem:
I am using the python example to test incremental backup with a qcow disk, but the checkpoint is not displayed or generated in the engine database. 
Am I doing something wrong? 
Is the engine version not correct?

Version-Release number of selected component (if applicable):
ovirt-engine 4.4.1.10-1.el8
ovirt-engine-sdk4.4.4-1.el8


How reproducible:
Always

Steps to Reproduce:
1. Create a vm
2. Attach a thin disk in NFS storage with option incremental backup checked
3. Execute script 'backup_vm.py -c configProfile start vmId'
4. Backup is ready and it doesn't print checkpointId.
5. Check engine database table 'vm_backups'.
6. Any checkpoint is not created

Actual results:
Script execution:
[root@ovirtm441 examples]# python3 backup_vm.py -c engine start 7e4c7106-2091-4013-8195-c93d1f518483
[   0.0 ] Starting full backup for VM '7e4c7106-2091-4013-8195-c93d1f518483'
[   2.3 ] Waiting until backup 9241b1e8-b245-4932-9506-d1438c35930e is ready
[   3.4 ] Backup 9241b1e8-b245-4932-9506-d1438c35930e is ready

+++++++

Engine database:
engine=# SELECT * FROM vm_backups;
              backup_id               | from_checkpoint_id | to_checkpoint_id |                vm_id                 | phase |        _create_date        
--------------------------------------+--------------------+------------------+--------------------------------------+-------+----------------------------
 9241b1e8-b245-4932-9506-d1438c35930e |                    |                  | 7e4c7106-2091-4013-8195-c93d1f518483 | Ready | 2020-09-23 11:31:37.043-04



Expected results:
Checkpoint generated:
[root@ovirtm441 examples]# python3 backup_vm.py -c engine start 7e4c7106-2091-4013-8195-c93d1f518483
[   0.0 ] Starting full backup for VM '7e4c7106-2091-4013-8195-c93d1f518483'
Password: 
[   2.3 ] Waiting until backup 9241b1e8-b245-4932-9506-d1438c35930e is ready
[   3.3 ] Created checkpoint 'xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx' (to use in --from-checkpoint-uuid for the next incremental backup)
[   3.4 ] Backup 9241b1e8-b245-4932-9506-d1438c35930e is ready

Comment 1 Eyal Shenitzky 2020-10-05 14:23:04 UTC
Hi Francisco,

Can you please confirm that you did all the following steps:

# engine-config -s "IsIncrementalBackupSupported=true"
# systemctl restart ovirt-engine

If not, please set IsIncrementalBackupSupported=true for the needed DC level and try again.

Comment 2 Eyal Shenitzky 2020-10-05 14:23:23 UTC
(In reply to Eyal Shenitzky from comment #1)
> Hi Francisco,
> 
> Can you please confirm that you did all the following steps:
> 
> # engine-config -s "IsIncrementalBackupSupported=true"
> # systemctl restart ovirt-engine
> 
> If not, please set IsIncrementalBackupSupported=true for the needed DC level
> and try again.

If all works well please close this as NOTABUG.

Comment 3 francisco.garcia 2020-10-11 10:20:41 UTC
Hi Eyal,

Sorry for delay, the email was misplaced. I will be more careful in the next.

# engine-config -g "IsIncrementalBackupSupported"
IsIncrementalBackupSupported: false version: 4.2
IsIncrementalBackupSupported: false version: 4.3
IsIncrementalBackupSupported: true version: 4.4

I'm attaching the DC version image.

Thanks for your time :)

Comment 4 francisco.garcia 2020-10-11 10:21:07 UTC
Created attachment 1720594 [details]
DCversion

Screenshot of datacenter version

Comment 5 Eyal Shenitzky 2020-10-11 11:11:29 UTC
Thanks Francisco,

Closing this bug as NOTABUG according to your response.

Comment 6 francisco.garcia 2020-10-11 11:16:26 UTC
Hi Eyal,

Sorry, but I didn't explain myself well. 

The incremental backup is not working with this configuration.

The problem must be other thing =S. Any other idea?

Comment 7 Eyal Shenitzky 2020-10-11 11:28:59 UTC
Can you please share the host/VDSM version?
Also Libvirt and QEMU versions are needed.

Comment 8 francisco.garcia 2020-10-13 16:15:05 UTC
Hi Eyal,

Host: 4.4.1-4.el8
VDSM: 4.40.22-1.el8
Libvirt: 6.0.0-17.el8
QEMU: 15:4.2.0-19.el8

Comment 9 Eyal Shenitzky 2020-10-14 10:52:37 UTC
Can you please add engine.log and vdsm.log?

Comment 10 francisco.garcia 2020-10-17 19:49:44 UTC
Hi Eyal,

Today, I changed the iSCSI storage domain and I tried incremental backup again. And it works without change other configuration! I don't know that state had the old iSCSI storage domain =S


// Vm in NFS storage and thin-provisioning disk
[root@ovirtm441 examples]# python3 backup_vm.py -c engine start 75b94d17-06c1-47f4-8760-2e8738bf6a77
[   0.0 ] Starting full backup for VM '75b94d17-06c1-47f4-8760-2e8738bf6a77'
[   2.6 ] Waiting until backup d307a2ec-584e-4932-8f8c-02ad684aed31 is ready
[   3.7 ] Created checkpoint 'fcfbcebc-ff20-4b09-bc67-f910fdeecb0c' (to use in --from-checkpoint-uuid for the next incremental backup)
[   3.7 ] Backup d307a2ec-584e-4932-8f8c-02ad684aed31 is ready
// Vm in iSCSI Storage with LZ4 compression and preallocated disk
[root@ovirtm441 examples]# python3 backup_vm.py -c engine start 50ad3bf7-0c52-49da-aabe-652859d4bf54
[   0.0 ] Starting full backup for VM '50ad3bf7-0c52-49da-aabe-652859d4bf54'
[   2.4 ] Waiting until backup a506a92d-c177-4eb0-890b-d5517daea56f is ready
[   4.5 ] Created checkpoint '85ed279d-5bc2-4cd8-beed-4923d00a8caf' (to use in --from-checkpoint-uuid for the next incremental backup)
[   4.5 ] Backup a506a92d-c177-4eb0-890b-d5517daea56f is ready
// Vm in iSCSI Storage without compression and preallocated disk.
[root@ovirtm441 examples]# python3 backup_vm.py -c engine start e13a3289-16ec-45b6-92ef-c5694934c956
[   0.0 ] Starting full backup for VM 'e13a3289-16ec-45b6-92ef-c5694934c956'
[   3.7 ] Waiting until backup 528b29ed-8215-4db1-a419-5a0bd71bfe08 is ready
[   4.8 ] Created checkpoint '0ae4e232-876f-40ac-b287-748173c5505f' (to use in --from-checkpoint-uuid for the next incremental backup)
[   4.8 ] Backup 528b29ed-8215-4db1-a419-5a0bd71bfe08 is ready
// Vm in iSCSI Storage with LZ4 with thin-provisioning
[root@ovirtm441 examples]# python3 backup_vm.py -c engine start 78919cb8-bc1b-4c05-9705-a3713dd0e958
[   0.0 ] Starting full backup for VM '78919cb8-bc1b-4c05-9705-a3713dd0e958'
[   2.1 ] Waiting until backup d969f332-6db9-4662-a497-53a0b60d638e is ready
[   5.2 ] Created checkpoint '60b07c71-ceb2-47a6-89aa-0b6a0ef37e50' (to use in --from-checkpoint-uuid for the next incremental backup)
[   5.3 ] Backup d969f332-6db9-4662-a497-53a0b60d638e is ready
// Vm in iSCSI Storage without compression with thin-provisioning
[root@ovirtm441 examples]# python3 backup_vm.py -c engine start c4ba9c59-e5e3-47ea-b531-681425056047
[   0.0 ] Starting full backup for VM 'c4ba9c59-e5e3-47ea-b531-681425056047'
[   2.7 ] Waiting until backup 8135c158-b757-4c3d-8ae2-6507d6ce72ae is ready
[   3.7 ] Created checkpoint 'fdbab993-c2f4-4c0d-9db5-274eda67463c' (to use in --from-checkpoint-uuid for the next incremental backup)
[   3.8 ] Backup 8135c158-b757-4c3d-8ae2-6507d6ce72ae is ready

In the past, I had bad experiences with backups depending of storage domain type. That is why I have tried several types hehe.

Sincerely, thank you very much for your time :)

Regards!


Note You need to log in before you can comment on or make changes to this bug.